# novaclient.v2.availability_zones module

Availability Zone interface

class novaclient.v2.availability_zones.AvailabilityZone(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  An availability zone object.

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  NAME_ATTR = 'display_name'

class novaclient.v2.availability_zones.AvailabilityZoneManager(api)

  Bases: `ManagerWithFind`

  Manage `AvailabilityZone` resources.

  list(detailed=True)

    Get a list of all availability zones.

    Parameters:

      detailed – If True, list availability zones with details.

    Returns:

      list of `AvailabilityZone`

  resource_class

    alias of `AvailabilityZone`

  return_parameter_name = 'availabilityZoneInfo'

this page last updated: 2026-04-01 09:32:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug